Custom Sidebars pro getting error on wordpress 4.2.2

Seems like Custom Sidebars Pro is working, but I get an error message on my widget area as shown in the screenshot below. I've been using Woo Sidebars, but the updates to wordpress broke the plugin and they are unable to help me get it going again. I'd love to use this plugin but am unsure whether or not it will work, especially when I see this error message. Any assistance would be very helpful.